summaryrefslogtreecommitdiffstats
path: root/source/ap/hplip
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/hplip')
-rwxr-xr-xsource/ap/hplip/hplip.SlackBuild40
-rw-r--r--source/ap/hplip/hplip.python3.shebang.diff32
-rw-r--r--source/ap/hplip/slack-desc8
3 files changed, 70 insertions, 10 deletions
diff --git a/source/ap/hplip/hplip.SlackBuild b/source/ap/hplip/hplip.SlackBuild
index fdce0c049..aa2a3d286 100755
--- a/source/ap/hplip/hplip.SlackBuild
+++ b/source/ap/hplip/hplip.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for hplip
# Copyright 2006-2010 Robby Workman, Northport, Alabama, USA
-# Copyright 2006-2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=hplip
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -39,6 +41,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -53,7 +63,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -62,14 +71,18 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Upgrades should not be done outside the package system:
zcat $CWD/hplip.no.upgrade.diff.gz | patch -p1 --verbose || exit 1
# Set LC_ALL=C to fix issues with CUPS output parsing in hp-setup:
zcat $CWD/setup.py.lc_all.c.diff.gz | patch -p1 --verbose || exit 1
+# Fix a few .py files lacking #!/usr/bin/python3:
+zcat $CWD/hplip.python3.shebang.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -77,8 +90,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+find -name '*.py' -print0 | xargs -0 \
+ sed -i.env-python -e 's,^#!/usr/bin/env python,#!/usr/bin/python3,'
+sed -i.env-python -e 's,^#!/usr/bin/env python,#!/usr/bin/python3,' \
+ prnt/filters/hpps \
+ fax/filters/pstotiff
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
+PYTHON=/usr/bin/python3 \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -98,6 +118,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-fax-build \
--enable-doc-build \
--enable-foomatic-rip-hplip-install \
+ --enable-pp-build \
--disable-foomatic-ppd-install \
--enable-foomatic-drv-install \
--enable-network-build=yes \
@@ -111,6 +132,13 @@ CXXFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG rulesdir=/lib/udev/rules.d || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# 3.16.8 is not making this directory even though several scripts
+# continue to make use of it:
+mkdir -p $PKG/var/lib/hp/
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/ap/hplip/hplip.python3.shebang.diff b/source/ap/hplip/hplip.python3.shebang.diff
new file mode 100644
index 000000000..a98670083
--- /dev/null
+++ b/source/ap/hplip/hplip.python3.shebang.diff
@@ -0,0 +1,32 @@
+--- ./uninstall.py.orig 2017-11-23 06:10:34.000000000 -0600
++++ ./uninstall.py 2017-11-27 18:41:11.976513695 -0600
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/python3
+ # -*- coding: utf-8 -*-
+ #
+ # (c) Copyright 2011-2015 HP Development Company, L.P.
+--- ./logcapture.py.orig 2017-11-23 06:10:34.000000000 -0600
++++ ./logcapture.py 2017-11-27 18:38:34.880515365 -0600
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/python3
+ # -*- coding: utf-8 -*-
+ #
+ # (c) Copyright 2003-2015 HP Development Company, L.P.
+--- ./doctor.py.orig 2017-11-23 06:10:34.000000000 -0600
++++ ./doctor.py 2017-11-27 18:39:14.193514947 -0600
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/python3
+ # -*- coding: utf-8 -*-
+ #
+ # (c) Copyright 2012-2020 HP Development Company, L.P.
+--- ./upgrade.py.orig 2017-11-23 06:10:34.000000000 -0600
++++ ./upgrade.py 2017-11-27 18:36:56.502516410 -0600
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/python3
+ # -*- coding: utf-8 -*-
+ #
+ # (c) Copyright 2011-2015 HP Development Company, L.P.
diff --git a/source/ap/hplip/slack-desc b/source/ap/hplip/slack-desc
index 1eff84185..01583c747 100644
--- a/source/ap/hplip/slack-desc
+++ b/source/ap/hplip/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
hplip: hplip (HP print/scan/fax support)
hplip:
hplip: HPLIP is an HP developed solution for printing, scanning, and faxing
-hplip: with HP inkjet and laser based printers in Linux. The HPLIP project
+hplip: with HP inkjet and laser based printers in Linux. The HPLIP project
hplip: provides printing support for more than 1400 HP printer models,
hplip: including Deskjet, Officejet, Photosmart, PSC (Print Scan Copy),
hplip: Business Inkjet, LaserJet, and LaserJet MFP.